org.deidentifier.arx.gui.model

## Class ModelKMapCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelImplicitCriterion
    - - org.deidentifier.arx.gui.model.ModelKMapCriterion

All Implemented Interfaces:
  java.io.Serializable

    public class ModelKMapCriterion
    extends ModelImplicitCriterion

This class implements a model for the k-map criterion.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelKMapCriterion()` Creates a new instance
`ModelKMapCriterion(int k)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`ModelKMapCriterion` `clone()` Clone
`PrivacyCriterion` `getCriterion(Model model)` Implement this to return the criterion.
`KMap.CellSizeEstimator` `getEstimator()` Returns the estimator.
`int` `getK()` Returns k.
`java.lang.String` `getLabel()` Implement this to return a string representation.
`double` `getSignificanceLevel()` Returns the significance level.
`void` `parse(ModelCriterion criterion, boolean _default)` Parse
`void` `setEstimator(KMap.CellSizeEstimator estimator)` Sets the used estimator.
`void` `setK(int k)` Sets k.
`void` `setSignificanceLevel(double significanceLevel)` Sets the significance level.
`java.lang.String` `toString()` Implement this to return a string representation.

### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

`isEnabled, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelKMapCriterion

    public ModelKMapCriterion()

Creates a new instance

#### ModelKMapCriterion

    public ModelKMapCriterion(int k)

Creates a new instance

Parameters:
  `k` -

### Method Detail

#### clone

    public ModelKMapCriterion clone()

Description copied from class: `ModelCriterion`
Clone

Specified by:
  `clone` in class `ModelCriterion`

#### getCriterion

    public PrivacyCriterion getCriterion(Model model)

Description copied from class: `ModelCriterion`
Implement this to return the criterion.

Specified by:
  `getCriterion` in class `ModelCriterion`
Returns:

#### getEstimator

    public KMap.CellSizeEstimator getEstimator()

Returns the estimator.

Returns:

#### getK

    public int getK()

Returns k.

Returns:

#### getLabel

    public java.lang.String getLabel()

Description copied from class: `ModelCriterion`
Implement this to return a string representation.

Specified by:
  `getLabel` in class `ModelCriterion`
Returns:

#### getSignificanceLevel

    public double getSignificanceLevel()

Returns the significance level.

Returns:

#### parse

    public void parse(ModelCriterion criterion,
                      boolean _default)

Description copied from class: `ModelCriterion`
Parse

Specified by:
  `parse` in class `ModelCriterion`
  `_default` - Defines whether the model represents a typical parameter configuration for the criterion

#### setEstimator

    public void setEstimator(KMap.CellSizeEstimator estimator)

Sets the used estimator.

Parameters:
  `estimator` -

#### setK

    public void setK(int k)

Sets k.

Parameters:
  `k` -

#### setSignificanceLevel

    public void setSignificanceLevel(double significanceLevel)

Sets the significance level.

Parameters:
  `significanceLevel` -

#### toString

    public java.lang.String toString()

Description copied from class: `ModelCriterion`
Implement this to return a string representation.

Specified by:
  `toString` in class `ModelCriterion`